
From: NeilBrown <neilb@cse.unsw.edu.au>

Allow io using a delegation stateid to proceed without the need to reopen the
file, as is done already with open stateid's.

Signed-off-by: Andy Adamson <andros@citi.umich.edu>
Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4state.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/nfsd/nfs4state.c~nfsd4-allow-io-to-use-deleg-stateid-file fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-allow-io-to-use-deleg-stateid-file	2005-03-07 23:56:00.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4state.c	2005-03-07 23:56:00.000000000 -0800
@@ -2068,6 +2068,8 @@ nfs4_preprocess_stateid_op(struct svc_fh
 			atomic_set(&dp->dl_state,NFS4_RECALL_COMPLETE);
 			release_delegation(dp);
 		}
+		if (filpp)
+			*filpp = dp->dl_vfs_file;
 	}
 	status = nfs_ok;
 out:
_
